#!/bin/sh
#
if [ ! -f /etc/debian_version ]; then 
    echo "Unsupported Linux Distribution. Prepared for Debian"
    exit 1
fi
#
################################################################################
#
#
# post-installation script for Linux 
# 
# 
#
################################################################################
while :
do
clear
echo ""
echo "\033[1m I N S T A L L Nemo Aktion "
echo " ---------------------------------"
echo "\033[0m"
echo " 01.Deja-Dup in to Nemo integration"
echo " 02.Bulky in to Nemo integration"
echo " 03.Nemo Aktion - webm zu mp3 konvertieren"
echo " 04.Nemo Aktion - File secure delete"
echo " 05.Nemo Aktion - sudoedit"
echo ""
echo " x. Exit"
echo ""
echo -n " Please enter option [01 - 05]"
read opt
case $opt in
##################################################################################
01) echo "************ Deja-Dup in to Nemo integration **********************";
##################################################################################
sudo apt install -y deja-dup

sudo bash -c 'cat << EOF > /usr/share/nemo/actions/deja-dup_restore_missing.nemo_action
[Nemo Action]
Active=true
Name=Fehlende Daten Wiederherstellen...
Comment=Prüfe auf fehlende Dateien oder Verzeichnisse
Exec=/usr/bin/deja-dup --restore-missing '%F'
Icon-Name=deja-dup
Selection=none
Extensions=any;
EOF'

sudo bash -c 'cat << EOF > /usr/share/nemo/actions/deja-dup_previous_version.nemo_action
[Nemo Action]
Active=true
Name=Frühere Version...
Comment=Frühere Version wiederherstellen
Exec=/usr/bin/deja-dup --restore '%U'
Icon-Name=deja-dup
Selection=S
Extensions=any;
EOF'
;;

##################################################################################
02) echo "************ Install  ****************";
##################################################################################
# Nemo-Kontextmenüs am Beispiel von Bulky. Erforderlich sind in diesem Fall zwei kleine Dateien unter 
# „~/.local/share/nemo/actions“ (oder global unter „/usr/share/nemo/actions“). Die erste Datei nennen wir 
# „bulky.nemo_ action“ (die Extension ist zwingend):
# Nemo Aktion - Rename Files

sudo bash -c 'cat << EOF > /usr/share/nemo/actions/bulky.nemo_action
[Nemo Action]
Name=Bulky-Renamer Exec=sh /home/lw/.local/share/nemo/actions/bulky.sh "%F"
Selection=s
Icon-Name=abiword
Extensions=dir;
EOF'

cat > ~/.local/share/nemo/actions/bulky.sh <<"EOF"
cd "$1"
/usr/bin/bulky *
EOF

;;

##################################################################################
03) echo "************ Nemo Aktion - webm zu mp3 konvertieren *****************";
##################################################################################
sudo apt install -y ffmpeg lame

sudo bash -c 'cat << EOF > /usr/share/nemo/actions/webmmp3.nemo_action
[Nemo Action]
Active=true
Name=webm zu mp3 konvertieren
Comment=Konvertiere webm Dateien zu mp3
Exec=ffmpeg -i "%F" -vn -ab 128k -ar 44100 -y "%F".mp3
Icon-Name=emblem-music-symbolic
Selection=any;
Extensions=wav;ogg;aac;m4a;flac;mp4;wma;aac;midi;aif;aifc;aiff;au;ea;webm
Terminal=true
EOF'
;;

##################################################################################
04) echo "************ Nemo Aktion - File secure delete ******************";
##################################################################################
sudo apt install -y wipe

sudo bash -c 'cat << EOF > /usr/share/nemo/actions/wipe.nemo_action
[Nemo Action]
Name=Wipe File
Name[de]=Sicher löschen
Comment[de]=Dateien/Ordner sicher löschen
Exec=/usr/bin/wipe -rf %F 
Icon-Name=gtk-dialog-warning
Selection=S
Extensions=any;
Quote=double
EOF'
;;

##################################################################################
05) echo "************ Nemo Aktion - sudoedit **************************";
##################################################################################
sudo bash -c 'cat << EOF > /usr/share/nemo/actions/nano_sudoedit.nemo_action
[Nemo Action]
Name=_Nano (Sudoedit)
Comment=Open %F with nano opening as different user when needed via sudoedit.
Exec=<action_scripts/nano_sudoedit_check.sh %F>
Icon-Name=text-editor-symbolic
#Stock-Id=
Selection=s
#Extensions=
Mimetypes=text/plain;text/css;text/english;text/html;text/x-apt-sources-list;text/x-c;text/x-c++;text/x-c++hdr;text/x-c++src;text/x-chdr;text/x-csrc;text/x-diff;text/x-dsrc;text/x-java;text/x-makefile;text/x-moc;text/x-pascal;text/x-perl;text/x-python;text/x-sql;text/x-tcl;text/x-tex;
#Separator= 
#Quote=
Dependencies=sudoedit;nano;
#Conditions=
EscapeSpaces=true
Terminal=true
EOF'
;;

x) echo "";
exit 1;;
*) echo " Press [enter] key to continue. . .";
read enterKey;;
esac
done
